info.bioinfweb.jphyloio.formats.nexml

## Class NeXMLWriterAlignmentInformation

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.nexml.NeXMLWriterAlignmentInformation

- All Implemented Interfaces:
    NeXMLConstants

      public class NeXMLWriterAlignmentInformation
      extends java.lang.Object
      implements NeXMLConstants

  Class that is used by `NeXMLEventWriter` to store information about an alignment.
  Author:
    Sarah Wiechers

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexml.NeXMLConstants

      `ATTR_ABOUT, ATTR_CELL_SET_LINKED_IDS, ATTR_CHAR_SET_LINKED_IDS, ATTR_CODON_POSITION, ATTR_CONTENT, ATTR_DATATYPE, ATTR_GENERATOR, ATTR_HREF, ATTR_ID, ATTR_LABEL, ATTR_LENGTH, ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS, ATTR_NODE_EDGE_SET_LINKED_NODE_IDS, ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS, ATTR_OTU_SET_LINKED_IDS, ATTR_OTUS, ATTR_PROPERTY, ATTR_REL, ATTR_ROOT, ATTR_SEQUENCE_SET_LINKED_IDS, ATTR_SINGLE_CHAR_LINK, ATTR_SINGLE_OTU_LINK, ATTR_SINGLE_STATE_LINK, ATTR_SOURCE, ATTR_STATE_SET_LINKED_IDS, ATTR_STATES, ATTR_SYMBOL, ATTR_TARGET, ATTR_TOKENS, ATTR_TREE_SET_LINKED_NETWORK_IDS, ATTR_TREE_SET_LINKED_TREE_IDS, ATTR_VERSION, ATTR_XSI_TYPE, DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX, NEXML_DEFAULT_NAMESPACE_PREFIX, NEXML_FORMAT_NAME, NEXML_NAMESPACE, NEXML_NAMESPACE_PREFIX, NEXML_PREDICATE_NAMESPACE, NEXML_VERSION, PREDICATE_CHAR_ATTR_CODON_POSITION, PREDICATE_CHAR_ATTR_TOKENS, PREDICATE_FORMAT, PREDICATE_MATRIX, PREDICATE_ORIGINAL_LABEL, PREDICATE_ORIGINAL_TOKEN_NAME, TAG_CELL, TAG_CHAR, TAG_CHARACTERS, TAG_EDGE, TAG_FORMAT, TAG_MATRIX, TAG_MEMBER, TAG_META, TAG_NETWORK, TAG_NODE, TAG_OTU, TAG_OTUS, TAG_POLYMORPHIC, TAG_ROOT, TAG_ROOTEDGE, TAG_ROW, TAG_SEQ, TAG_SET, TAG_STATE, TAG_STATES, TAG_TREE, TAG_TREES, TAG_UNCERTAIN, TYPE_CONTIN_CELLS, TYPE_CONTIN_SEQ, TYPE_DNA_CELLS, TYPE_DNA_SEQS, TYPE_FLOAT_NETWORK, TYPE_FLOAT_TREE, TYPE_INT_NETWORK, TYPE_INT_TREE, TYPE_LITERAL_META, TYPE_PROTEIN_CELLS, TYPE_PROTEIN_SEQS, TYPE_RESOURCE_META, TYPE_RESTRICTION_CELLS, TYPE_RESTRICTION_SEQS, TYPE_RNA_CELLS, TYPE_RNA_SEQS, TYPE_STANDARD_CELLS, TYPE_STANDARD_SEQ, UNDEFINED_OTU_ID_PREFIX, UNDEFINED_OTU_LABEL, UNDEFINED_OTUS_ID_PREFIX, UNDEFINED_OTUS_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeXMLWriterAlignmentInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAlignmentLength()`
    `CharacterStateSetType` | `getAlignmentType()`
    `java.util.Map<java.lang.String,java.util.SortedSet<java.lang.Long>>` | `getCharSets()`
    `java.util.Map<java.lang.Long,java.lang.String>` | `getColumnIndexToIDMap()`
    `java.util.Map<java.lang.Long,java.lang.String>` | `getColumnIndexToStatesMap()`
    `java.lang.String` | `getDefaultTokenSetID()`
    `java.util.Set<java.lang.String>` | `getDefinedTokens()`
    `java.util.Map<java.lang.String,NeXMLWriterTokenSetInformation>` | `getIDToTokenSetInfoMap()`
    `CharacterStateSetType` | `getTokenSetType()`
    `CharacterStateSetType` | `getTokenType()`
    `boolean` | `hasTokenDefinitionSet()`
    `boolean` | `isWriteAlignment()`
    `boolean` | `isWriteCellsTags()`
    `boolean` | `isWriteDefaultTokenSet()`
    `void` | `setAlignmentLength(long alignmentLength)`
    `void` | `setAlignmentType(CharacterStateSetType alignmentType)`
    `void` | `setDefaultTokenSetID(java.lang.String defaultTokenSetID)`
    `void` | `setTokenSetType(CharacterStateSetType tokenSetType)`
    `void` | `setTokenType(CharacterStateSetType tokenType)`
    `void` | `setWriteAlignment(boolean writeAlignment)`
    `void` | `setWriteCellsTags(boolean writeCellsTags)`
    `void` | `setWriteDefaultTokenSet(boolean writeDefaultTokenSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeXMLWriterAlignmentInformation

          public NeXMLWriterAlignmentInformation()

  - ### Method Detail

    - #### isWriteAlignment

          public boolean isWriteAlignment()

    - #### setWriteAlignment

          public void setWriteAlignment(boolean writeAlignment)

    - #### isWriteCellsTags

          public boolean isWriteCellsTags()

    - #### setWriteCellsTags

          public void setWriteCellsTags(boolean writeCellsTags)

    - #### getAlignmentLength

          public long getAlignmentLength()

    - #### setAlignmentLength

          public void setAlignmentLength(long alignmentLength)

    - #### getAlignmentType

          public CharacterStateSetType getAlignmentType()

    - #### setAlignmentType

          public void setAlignmentType(CharacterStateSetType alignmentType)
                                throws JPhyloIOWriterException

      Throws:
        `JPhyloIOWriterException`

    - #### getTokenSetType

          public CharacterStateSetType getTokenSetType()

    - #### setTokenSetType

          public void setTokenSetType(CharacterStateSetType tokenSetType)

    - #### getTokenType

          public CharacterStateSetType getTokenType()

    - #### setTokenType

          public void setTokenType(CharacterStateSetType tokenType)

    - #### isWriteDefaultTokenSet

          public boolean isWriteDefaultTokenSet()

    - #### setWriteDefaultTokenSet

          public void setWriteDefaultTokenSet(boolean writeDefaultTokenSet)

    - #### hasTokenDefinitionSet

          public boolean hasTokenDefinitionSet()

    - #### getIDToTokenSetInfoMap

          public java.util.Map<java.lang.String,NeXMLWriterTokenSetInformation> getIDToTokenSetInfoMap()

    - #### getDefaultTokenSetID

          public java.lang.String getDefaultTokenSetID()

    - #### setDefaultTokenSetID

          public void setDefaultTokenSetID(java.lang.String defaultTokenSetID)

    - #### getCharSets

          public java.util.Map<java.lang.String,java.util.SortedSet<java.lang.Long>> getCharSets()

    - #### getColumnIndexToIDMap

          public java.util.Map<java.lang.Long,java.lang.String> getColumnIndexToIDMap()

    - #### getColumnIndexToStatesMap

          public java.util.Map<java.lang.Long,java.lang.String> getColumnIndexToStatesMap()

    - #### getDefinedTokens

          public java.util.Set<java.lang.String> getDefinedTokens()